## getdata 0.2

=== Makefile ===
#!/usr/bin/make -f

# Copyright 2007-2008 Steffen Moeller <moeller@debian.org>
#
#   This package is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This package is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this package; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
# On Debian systems, the complete text of the GNU General
# Public License can be found in `/usr/share/common-licenses/GPL'.


all: getData.1

getData.1: getData
	pod2man getData > getData.1

getData.txt: getData
	pod2text getData > getData.txt

commit: commit_flag

commit_flag: getData.1 getData.txt
	svn commit
	touch $@

clean:
	rm --force getData.1 getData.txt

VERSION=$(shell cat version)
dist: clean
	cd .. && tar --exclude .svn --exclude debian --exclude .pc -czvf getdata_$(VERSION).orig.tar.gz getData

.PHONY: commit clean all

## getdata 0.1-1

=== debian/changelog ===
getdata (0.1-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Initial release (Closes: #514984)
  * source format 3.0 (quilt)
  * Suggesting biomaj

  [ Charles Plessy ]
  * Renamed getData.pl getData (.pl extensions are unwelcome in /usr/bin)
  * Moved /etc/defaults/getdata to /etc/getData.conf (I think that
    /etc/defaults is for initscript configuration).
  * fixed debian/rules.
  * deleted debian/compat (CDBS does not need it).
  * Defautl mirror directory is /var/lib/getdata instead of
    /local/databases/mirrored.
  * Recommends perl-doc as getData --help needs it.

 -- Steffen Moeller <moeller@debian.org>  Wed, 03 Aug 2011 16:00:22 +0200

=== debian/control ===
Source: getdata
Section: science
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: cdbs, debhelper (>= 7)
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/community/infrastructure/getData/?rev=0&sc=0trunk
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/community/infrastructure/getData
Homepage: http://debian-med.alioth.debian.org

Package: getdata
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Recommends: perl-doc
Suggests: biomaj
# perl-doc is needed for getData --help.
Description: management of external databases
 Many scientific communities share the problem of regularly updating
 external databases. With every update, also various tasks need to
 be performed for the update of indices that need to be recreated.
 This work depends on the tools that are available locally and is
 not always completely simple.
 .
 This package provides the getData Perl script, which in some not
 so complicated manner performs the invocation to wget to download
 data and then knows how to perform the indexing. There is only
 a hash table to be filled with the commands to be executed. 
 Maintainers of scientific packages that are strongly coupled to
 public datasets are invited to add a runtime dependency to this
 package and add instructions for getData to follow.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

getData.1: getData
	$(MAKE) getData.1

install:: getData.1

UPSTREAMVERSION=$(shell dpkg-parsechangelog | grep ^Version|cut -f2 -d\ | cut -f1 -d-)
get-orig-source:
	cd .. ; \
	tar --exclude=debian --exclude-vcs -czvf getdata_$(UPSTREAMVERSION).orig.tar.gz getData

## getdata 0.2

=== debian/changelog ===
getdata (0.2-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Nov 2020 23:22:22 +0100

getdata (0.2-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 13:17:42 +0100

getdata (0.2-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * Use source/format = 3.0 (quilt) and use proper upstream tarball
  * Fix spelling
  * Team maintenance by Debian Med team
  * d/rules:
     - replace cdbs by short dh
     - get-orig-source without parsing d/changelog
  * Add fake watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 21:43:11 +0100

getdata (0.2-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Update of DE405 (URL changed)

  [ Andreas Tille ]
  * debian/control
    - Fixed VCS fields

  [ Charles Plessy ]
  * Normalised with config-model-edit.
  * Conforms with Policy 3.9.5.
  * Using Debhelper 9.
  * Switch back to source format 1.0.  (Closes: #725526).
  * Machine-readable Debian copyright file.
  * Use canonical VCS URLs.

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2013 18:57:31 +0900

=== debian/control ===
Source: getdata
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/getdata
Vcs-Git: https://salsa.debian.org/med-team/getdata.git
Homepage: http://debian-med.alioth.debian.org
Rules-Requires-Root: no

Package: getdata
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
# perl-doc is needed for getData --help.
Recommends: perl-doc
Suggests: biomaj
Description: management of external databases
 Many scientific communities share the problem of regularly updating
 external databases. With every update, also various tasks need to
 be performed for the update of indices that need to be recreated.
 This work depends on the tools that are available locally and is
 not always completely simple.
 .
 This package provides the getData Perl script, which in some not
 so complicated manner performs the invocation to wget to download
 data and then knows how to perform the indexing. There is only
 a hash table to be filled with the commands to be executed.
 Maintainers of scientific packages that are strongly coupled to
 public datasets are invited to add a runtime dependency to this
 package and add instructions for getData to follow.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installman:
	$(MAKE) getData.1
	dh_installman

include /usr/share/dpkg/default.mk

get-orig-source:
	sourcedir=`basename $(CURDIR)` ; \
	cd .. ; \
	tar --exclude=debian --exclude-vcs -cavf getdata_$(DEB_VERSION_UPSTREAM).orig.tar.xz $${sourcedir}

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Track/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz
